#ifndef INCLUDED_CUBE_HH
#define INCLUDED_CUBE_HH

#include "point3d.hh"
#include <flipdot/image.hh>

class cube {
public:
  cube(double x, double y, double z, double a);
  void rotate(point3d const &pivot, double anglex, double angley, double anglez);
  void render(flipdot::image &img, bool opaque = false, bool with_faces = false);

private:
  void apply_line(flipdot::image &img, unsigned back_mask, int x, int y);

  point3d pts[8];
};

#endif
