#ifndef INCLUDED_POINT_HH
#define INCLUDED_POINT_HH

#include "vec2d.hh"

typedef vec2d point;

inline double distance(point const &p1, point const &p2) { return length(p2 - p1); }
inline void move_rel(point &p, vec2d const &vec) {
  p.x(p.x() + vec.x());
  p.y(p.y() + vec.y());
}

#endif
