#include <flipdot/flipdot.hh>

#include <algorithm>

int main() {
  flipdot::display disp;
  flipdot::framebuffer fb1 = disp.empty_framebuffer();
  flipdot::framebuffer fb2 = disp.empty_framebuffer();

  std::uint16_t vals[] = { 0x5555, 0xaaaa };

  for(std::size_t i = 0; i < fb1.size(); ++i) {
    fb1[i] = vals[i % 2];
    fb2[i] = vals[(i + 1) % 2];
  }

  for(;;) {
    disp.flush(fb1);
    disp.flush(fb2);
  }
}
