#include "flipdot/flipdot.hh"

#include <fstream>
#include <string>

int main(int argc, char *argv[]) {
  flipdot::display disp;
  flipdot::image img(0);

  std::ifstream in(argc < 2 ? "text.txt" : argv[1]);
  std::string line;

  for(int i = 0; i < 4 && std::getline(in, line); ++i) {
    flipdot::render_text(img, 3, i * 8, line.c_str());
  }

  img.flush(disp);
}
