#ifndef INCLUDED_FLIPDOT_FONT_HH
#define INCLUDED_FLIPDOT_FONT_HH

#include "image.hh"
#include <cstddef>
#include <string>

namespace flipdot {
  enum {
    FONT_GLYPH_WIDTH = 5,
    FONT_WIDTH       = 6,
    FONT_HEIGHT      = 8
  };

  int         render_char  (image &img, int pos_x, int pos_y, char c);
  std::size_t render_text  (image &img, int pos_x, int pos_y, char const *text);
  std::size_t render_text  (image &img, int pos_x, int pos_y, std::string const &text);
  std::size_t render_number(image &img, int pos_x, int pos_y, unsigned number);
}

#endif
